CWParserInternal::State Struct Reference

Internal: the state of a CWParser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

long | m_EOF
| the last position More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_columns
| the number of columns More...
std::vector< int > | m_columnsWidth
| the columns witdh in Points More...
std::vector< int > | m_columnsSep
| the columns separator in Points More...
int | m_headerId
| the header zone if known More...
int | m_footerId
| the footer zone if known More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...
std::map< int, shared_ptr < CWStruct::DSET > > | m_zonesMap
| the map of zone More...
std::vector< int > | m_mainZonesList
| the list of main group More...

## Detailed Description

Internal: the state of a CWParser.

## Constructor & Destructor Documentation

CWParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int CWParserInternal::State::m_actPage

the actual page

int CWParserInternal::State::m_columns

the number of columns

std::vector<int> CWParserInternal::State::m_columnsSep

the columns separator in Points

std::vector<int> CWParserInternal::State::m_columnsWidth

the columns witdh in Points

long CWParserInternal::State::m_EOF

the last position

int CWParserInternal::State::m_footerHeight

the footer height if known

int CWParserInternal::State::m_footerId

the footer zone if known

int CWParserInternal::State::m_headerHeight

the header height if known

int CWParserInternal::State::m_headerId

the header zone if known

std::vector<int> CWParserInternal::State::m_mainZonesList

the list of main group

int CWParserInternal::State::m_numPages

the number of page of the final document

std::map<int, shared_ptr<CWStruct::DSET> > CWParserInternal::State::m_zonesMap

the map of zone

The documentation for this struct was generated from the following file:

- CWParser.cxx